gstreamermm: Gst::FakeSrc Class Reference

# Gst::FakeSrc Class Reference
[gstreamermm Plugins]

Gst::FakeSrc - fakesrc plugin. More...

`#include <fakesrc.h>`

Inheritance diagram for Gst::FakeSrc:

List of all members.

## Public Member Functions
virtual | ~FakeSrc ()
GstFakeSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstFakeSrc* | gobj () const
| Provides access to the underlying C GObject.
GstFakeSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy <FakeSrcDataType> | property_data ()
| Data allocation method.
Glib::PropertyProxy_ReadOnly <FakeSrcDataType> | property_data () const
| Data allocation method.
Glib::PropertyProxy <FakeSrcSizeType> | property_sizetype ()
| How to determine buffer sizes.
Glib::PropertyProxy_ReadOnly <FakeSrcSizeType> | property_sizetype () const
| How to determine buffer sizes.
Glib::PropertyProxy<int> | property_sizemin ()
| Minimum buffer size.
Glib::PropertyProxy_ReadOnly<int> | property_sizemin () const
| Minimum buffer size.
Glib::PropertyProxy<int> | property_sizemax ()
| Maximum buffer size.
Glib::PropertyProxy_ReadOnly<int> | property_sizemax () const
| Maximum buffer size.
Glib::PropertyProxy <FakeSrcFillType> | property_filltype ()
| How to fill the buffer.
Glib::PropertyProxy_ReadOnly <FakeSrcFillType> | property_filltype () const
| How to fill the buffer.
Glib::PropertyProxy<int> | property_datarate ()
| Timestamps buffers with number of bytes per second (0 = none).
Glib::PropertyProxy_ReadOnly<int> | property_datarate () const
| Timestamps buffers with number of bytes per second (0 = none).
Glib::PropertyProxy<bool> | property_sync ()
| Sync to the clock to the datarate.
Glib::PropertyProxy_ReadOnly <bool> | property_sync () const
| Sync to the clock to the datarate.
Glib::PropertyProxy <Glib::ustring> | property_pattern ()
| pattern.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_pattern () const
| pattern.
Glib::PropertyProxy<bool> | property_signal_handoffs ()
| Send a signal before pushing the buffer.
Glib::PropertyProxy_ReadOnly <bool> | property_signal_handoffs () const
| Send a signal before pushing the buffer.
Glib::PropertyProxy<bool> | property_silent ()
| Don't produce last_message events.
Glib::PropertyProxy_ReadOnly <bool> | property_silent () const
| Don't produce last_message events.
Glib::PropertyProxy<bool> | property_dump ()
| Dump buffer contents to stdout.
Glib::PropertyProxy_ReadOnly <bool> | property_dump () const
| Dump buffer contents to stdout.
Glib::PropertyProxy<int> | property_parentsize ()
| Size of parent buffer for sub-buffered allocation.
Glib::PropertyProxy_ReadOnly<int> | property_parentsize () const
| Size of parent buffer for sub-buffered allocation.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_last_message () const
| The last status message.
Glib::PropertyProxy<bool> | property_can_activate_pull ()
| Can activate in pull mode.
Glib::PropertyProxy_ReadOnly <bool> | property_can_activate_pull () const
| Can activate in pull mode.
Glib::PropertyProxy<bool> | property_can_activate_push ()
| Can activate in push mode.
Glib::PropertyProxy_ReadOnly <bool> | property_can_activate_push () const
| Can activate in push mode.
Glib::PropertyProxy<bool> | property_is_live ()
| True if the element cannot produce data in PAUSED.
Glib::PropertyProxy_ReadOnly <bool> | property_is_live () const
| True if the element cannot produce data in PAUSED.
Glib::PropertyProxy<Gst::Format> | property_format ()
| The format of the segment events.
Glib::PropertyProxy_ReadOnly <Gst::Format> | property_format () const
| The format of the segment events.
Glib::SignalProxy2< void, const Glib::RefPtr <Gst::Buffer>&, const Glib::RefPtr<Gst::Pad >&> | signal_handoff ()
## Static Public Member Functions
static Glib::RefPtr<FakeSrc> | create ()
| Creates a new fakesrc plugin with a unique name.
static Glib::RefPtr<FakeSrc> | create (const Glib::ustring& name)
| Creates a new fakesrc plugin with the given name.
## Protected Member Functions
| FakeSrc ()
| FakeSrc (const Glib::ustring& name)
virtual void | on_handoff (const Glib::RefPtr<Gst::Buffer>& arg0, const Glib::RefPtr<Gst::Pad>& arg1)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::FakeSrc> | wrap (GstFakeSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::FakeSrc - fakesrc plugin.

Please include <gstreamermm/fakesrc.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::FakeSrc::~FakeSrc | ( |  | ) | `[virtual]`

Gst::FakeSrc::FakeSrc | ( |  | ) | `[protected]`

Gst::FakeSrc::FakeSrc | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstFakeSrc* Gst::FakeSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

const GstFakeSrc* Gst::FakeSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

GstFakeSrc* Gst::FakeSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSrc.

static Glib::RefPtr<FakeSrc> Gst::FakeSrc::create | ( |  | ) | `[static]`

Creates a new fakesrc plugin with a unique name.

static Glib::RefPtr<FakeSrc> Gst::FakeSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new fakesrc plugin with the given name.

Glib::PropertyProxy<FakeSrcDataType> Gst::FakeSrc::property_data | ( |  | ) |

Data allocation method.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<FakeSrcDataType> Gst::FakeSrc::property_data | ( |  | ) | const

Data allocation method.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<FakeSrcSizeType> Gst::FakeSrc::property_sizetype | ( |  | ) |

How to determine buffer sizes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<FakeSrcSizeType> Gst::FakeSrc::property_sizetype | ( |  | ) | const

How to determine buffer sizes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::FakeSrc::property_sizemin | ( |  | ) |

Minimum buffer size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::FakeSrc::property_sizemin | ( |  | ) | const

Minimum buffer size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::FakeSrc::property_sizemax | ( |  | ) |

Maximum buffer size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::FakeSrc::property_sizemax | ( |  | ) | const

Maximum buffer size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<FakeSrcFillType> Gst::FakeSrc::property_filltype | ( |  | ) |

How to fill the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<FakeSrcFillType> Gst::FakeSrc::property_filltype | ( |  | ) | const

How to fill the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::FakeSrc::property_datarate | ( |  | ) |

Timestamps buffers with number of bytes per second (0 = none).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::FakeSrc::property_datarate | ( |  | ) | const

Timestamps buffers with number of bytes per second (0 = none).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSrc::property_sync | ( |  | ) |

Sync to the clock to the datarate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSrc::property_sync | ( |  | ) | const

Sync to the clock to the datarate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::FakeSrc::property_pattern | ( |  | ) |

pattern.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::FakeSrc::property_pattern | ( |  | ) | const

pattern.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSrc::property_signal_handoffs | ( |  | ) |

Send a signal before pushing the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSrc::property_signal_handoffs | ( |  | ) | const

Send a signal before pushing the buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSrc::property_silent | ( |  | ) |

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSrc::property_silent | ( |  | ) | const

Don't produce last_message events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSrc::property_dump | ( |  | ) |

Dump buffer contents to stdout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSrc::property_dump | ( |  | ) | const

Dump buffer contents to stdout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::FakeSrc::property_parentsize | ( |  | ) |

Size of parent buffer for sub-buffered allocation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::FakeSrc::property_parentsize | ( |  | ) | const

Size of parent buffer for sub-buffered allocation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::FakeSrc::property_last_message | ( |  | ) | const

The last status message.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSrc::property_can_activate_pull | ( |  | ) |

Can activate in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSrc::property_can_activate_pull | ( |  | ) | const

Can activate in pull mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSrc::property_can_activate_push | ( |  | ) |

Can activate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSrc::property_can_activate_push | ( |  | ) | const

Can activate in push mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FakeSrc::property_is_live | ( |  | ) |

True if the element cannot produce data in PAUSED.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FakeSrc::property_is_live | ( |  | ) | const

True if the element cannot produce data in PAUSED.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gst::Format> Gst::FakeSrc::property_format | ( |  | ) |

The format of the segment events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gst::Format> Gst::FakeSrc::property_format | ( |  | ) | const

The format of the segment events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy2<void,const Glib::RefPtr<Gst::Buffer>&,const Glib::RefPtr<Gst::Pad>&> Gst::FakeSrc::signal_handoff | ( |  | ) |

Prototype:
  `void on_my_handoff(const Glib::RefPtr<Gst::Buffer>& arg0, const Glib::RefPtr<Gst::Pad>& arg1)`

virtual void Gst::FakeSrc::on_handoff | ( | const Glib::RefPtr<Gst::Buffer>& | arg0,
|  | const Glib::RefPtr<Gst::Pad>& | arg1 |
| ) |  |  | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gst::FakeSrc> wrap | ( | GstFakeSrc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- fakesrc.h